Вопрос: Устройство Wlan0 не найдено. Не удается подключиться к беспроводной сети


Я не могу подключиться к своему Wi-Fi, поскольку мой адаптер Wi-Fi не обнаруживается. Я пробовал много решений в Интернете, но ничего не работает. Я использую Ubuntu 16.04.

> ifconfig wlan0
> wlan0: error fetching interface information: Device not found

Когда я делаю ifconfig, он показал docker0 интерфейса, которого ранее не было. Поэтому я удалил docker0, но wlan0 все еще не обнаруживается. Есть ли решение для этого?

Следующая ссылка содержит подробности после запуска следующего скрипта:

> wget -N -t 5 -T 10 https://github.com/UbuntuForums/wirelessinfo/raw/master/wireless-info 
&&  chmod +x wireless-info && ./wireless-info

Это результат текстового файла.

Сетевые адаптеры:

 > 06:00.0 Network controller [0280]: Broadcom Corporation BCM43142
 802.11b/g/n [14e4:4365] (rev 01)   Subsystem: Dell Wireless 1704 802.11n + BT 4.0 [1028:0016]  Kernel driver in use: bcma-pci-bridge

 > 07:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
 RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller [10ec:8136] (rev 07) Subsystem: Dell RTL8101/2/6E PCI Express Fast/Gigabit
 Ethernet controller [1028:0656]    
 Kernel driver in use: r8169

0
2018-04-11 20:20


Источник


Ссылка от GitHub кажется мне мертвой. Кроме того, попробовали ли вы искать драйверы для сетевого адаптера? - Tiago Caldeira
Да, у меня есть, и я также установил необходимый драйвер. Кажется, он все еще работает. - Ajayv
Быстрый поиск в Google это а также это (на AskUbuntu). Взгляните на эти - Tiago Caldeira
askubuntu.com/questions/55868/... Это все, что вам нужно для Любые Набор микросхем Broadcom. PS - У вас неправильный водитель.


Ответы:


  1. Удалите неверный драйвер: sudo apt purge bcma-pci-bridge и / или sudo apt purge firmware-b43-installer

  2. Установите правильный драйвер для 14e4: 4365 (BCM43142): sudo apt install bcmwl-kernel-source

  3. Перезагружать.

Источник: https://askubuntu.com/questions/55868/installing-broadcom-wireless-drivers


0
2018-04-11 21:05



Первая команда, похоже, выдает ошибку. Невозможно найти пакет bcma-pci-bridge - Ajayv
Это не имеет значения, но на всякий случай попробуйте другую команду в отредактированной версии.
Получение следующей ошибки после установки второй команды: modprobe: ERROR: не удалось вставить 'wl': ошибка формата Exec - Ajayv
Отключите безопасную загрузку в UEFI и повторите попытку.
Это тоже не сработало. По-прежнему имеет ту же проблему. - Ajayv